package com.tenlionsoft.aimz_k.adapter

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.lxj.xpopup.XPopup
import com.tenlionsoft.aimz_k.databinding.ItemContactBinding
import com.tenlionsoft.aimz_k.model.ContactListBean
import com.tenlionsoft.aimz_k.viewmodel.ContactViewModel
import com.tenlionsoft.aimz_k.viewmodel.SearchContactViewModel
import com.tenlionsoft.baselib.base.BaseBindingAdapter
import com.tenlionsoft.baselib.base.BaseViewModel

class ContactAdapter(datas: List<ContactListBean>, val viewModel: BaseViewModel) :
    BaseBindingAdapter<ContactListBean, ItemContactBinding>(datas) {
    override fun getItemBinding(parent: ViewGroup, viewType: Int): ItemContactBinding {
        return ItemContactBinding.inflate(
            LayoutInflater.from(parent.context),
            parent,
            false
        )
    }

    override fun bindItem(holder: BaseViewHolder<ItemContactBinding>, position: Int) {
        holder.binding.pos = position
        holder.binding.size = list.size - 1
        holder.binding.bean = list[position]
        if (viewModel is ContactViewModel) {
            holder.binding.tvAddContact.visibility = View.GONE
            holder.binding.root.setOnClickListener {
                viewModel.itemClickListener?.onItemClick(list[position])
            }
            val xPopup = XPopup.Builder(holder.binding.root.context).watchView(holder.binding.root)
            holder.binding.root.setOnLongClickListener {
                xPopup.asAttachList(
                    arrayOf("删除该联系人"),
                    intArrayOf(com.tenlionsoft.baselib.R.drawable.ic_del),
                    { p, _ ->
                        viewModel.itemLongClickListener?.onItemLongClick(2, list[position])
                    },
                    0,
                    0
                ).show()
                true
            }
        } else {
            viewModel as SearchContactViewModel
            holder.binding.tvAddContact.visibility = View.VISIBLE
            holder.binding.tvAddContact.setOnClickListener {
                viewModel.doAddContact(list[position])
            }
        }
    }
}